Update a password
PATCH
/v1/users/me/passwordcurl -X PATCH 'https://api.embodiflow.io/v1/users/me/password' \
-H 'Authorization: Bearer $EMBODIFLOW_PAT' \
-H 'Content-Type: application/json' \
-d '{
"currentPassword": "string",
"newPassword": "string"
}'认证
每个请求都需要携带个人访问令牌(PAT)。
- Authorization: Bearer PAT
请求体
Content-Typeapplication/json
- currentPasswordstring
Current or temporary password. Required when a password exists.
- newPasswordstring必填
New password. Platform default minimum is 8 characters.
响应
Success
- dataobject必填
- revokedOtherSessionsnumber必填
- mustRotatePasswordboolean必填
Always false after a successful password write.
- userobject必填
- continueTostring必填
- csrfTokenstring
- activationCompletedboolean
- metaobject必填
响应示例
{
"data": {
"revokedOtherSessions": 0,
"mustRotatePassword": true,
"user": {
"id": "string",
"email": "string",
"displayName": "string",
"avatarUrl": "string",
"hasPassword": true,
"status": "string"
},
"continueTo": "/",
"csrfToken": "string",
"activationCompleted": true
},
"meta": {}
}服务器https://api.embodiflow.io/v1https://api.embodiflow.dev/v1